Skip to content

Select theme

Get All

GET
/{organization}/projects/{projectId}/layers
curl --request GET \
--url https://app.civillo.com/api/v1/example/projects/example/layers \
--header 'Authorization: Bearer <token>'

Get all layers you have access to.

organization
required
string

The organization nickname

projectId
required
string

The project id

includeRevisions
string

If set, will include revisions for each layer. Options are “latest” and “all”.

Successful response

Media typeapplication/json
Array
object
revisions
Array
object
comment

An optional comment about the revision.

string
createdDate

The date time of this layer revision.

string format: date-time
id

The unique identifier of this layer revision.

string format: uuid
source
object
url

A url pointing to the layer source file.

string
fileLastModified

Represents the last time the layer revision source file was modified.

integer format: int64
filename

The name of the layer revision source file.

string
srid

The spatial reference system for this layer revision.

integer
uploader
object
organization

The user’s organization.

string
title

The user’s job title

string
email

The user’s email address

string
id

The unique identifier for this user

string format: uuid
name

The full name of this user

string
uploader
object
organization

The user’s organization.

string
title

The user’s job title

string
email

The user’s email address

string
id

The unique identifier for this user

string format: uuid
name

The full name of this user

string
creationDate

The date of this layers creation in ISO 8601 format.

string format: date-time
description

The description of the layer.

string
downloadRules

The download rules for the layer. 0 (default) = allowed, 1 = latest source only, 2 = no downloads allowed. Only available to project admins or above.

integer
fromFileName

The source file name of the latest revision.

string
global

If true, this layer is accessible to all users in the project.

boolean
lastEditDate

The last time this layer was edited in ISO 8601 format.

string format: date-time
onByDefault

If true, this layer will be automatically turned on in the project map view.

boolean
startDate

The date this layer is valid from in ISO 8601 format.

string format: date-time
endDate

The date this layer is valid until in ISO 8601 format.

string format: date-time
id

The unique identifier for this layer

integer
layerId

The unique identifier for this layer

integer
name

The name of this layer

string
>= 2 characters <= 128 characters
Example
[
{
"id": 123,
"layerId": 123,
"name": "My layer"
}
]

Unauthorized